package com.ekexiu.project.platform.feedback;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2019/1/23.
 */
@Path("/feedback")
public class FeedbackService {
    @Autowrie
    private FeedbackDao feedbackDao;

    public FeedbackDao getFeedbackDao() {
        return feedbackDao;
    }

    public void setFeedbackDao(FeedbackDao feedbackDao) {
        this.feedbackDao = feedbackDao;
    }

    @Path
    @Get
    public Feedback query(@JdbcConn(true) Connection con, int type, String target,String creator)throws SQLException {
        return feedbackDao.query(con, type, target,creator);
    }

}
