package com.ekexiu.project.platform.demand;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"id","uid"})
@Table(descp = "需求关联专家表")
public class DemandProfessor {
	private String id;
	private String uid;
	private String assTime;
	private String descp;
	private boolean actived;
	
	@Column(descp="需求ID",value=DE.text_de)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="专家ID",value=DE.text_de)
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	@Column(descp="留言时间",value=DE.text_de)
	public String getAssTime() {
		return assTime;
	}
	public void setAssTime(String assTime) {
		this.assTime = assTime;
	}
	@Column(descp="留言内容",value=DE.text_de)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	@Column(descp="对接状态",value=DE.boolean_de,fixSqlValueWithInsert="0")
	public boolean isActived() {
		return actived;
	}
	public void setActived(boolean actived) {
		this.actived = actived;
	}
	
	
}
